Page 2 of 24 FirstFirst 123412 ... LastLast
Results 11 to 20 of 240

Thread: Radeon Gallium on ubuntu

  1. #11
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,386

    Default

    If you want to try mesa-over-Gallium3D my recommendation would be git master, and very current git master at that. The 300g implementation is making great progress but I expect the developers would be horrified if anyone suggested it was ready for release...

    That said, error -22 suggests a drm mismatch more than a userspace problem.

  2. #12
    Join Date
    Feb 2008
    Location
    Linuxland
    Posts
    4,993

    Default

    drm mismatch? So, 2.6.32.3 isn't new enough either. OK, I'll wait until a release.

  3. #13

    Default

    Thanks for the replies. Now, glxinfo reports:

    OpenGL vendor string: X.Org R300 Project
    OpenGL renderer string: Gallium 0.3 on RV515
    OpenGL version string: 2.1 Mesa 7.8-devel
    OpenGL shading language version string: 1.20


    I am not able though to enable compositing in kwin.
    Other simple things, seem to be ok!

  4. #14
    Join Date
    May 2008
    Location
    Germany/NRW
    Posts
    510

    Default

    I am not able though to enable compositing in kwin.
    No? It's working for me here, and has been for a few weeks already.
    It only works when you anable it _after_ logging in though.

    But what's much more awesome: HoN finally started working! Well, kinda. :P
    With Kernel 2.6.33-rc6 and the latest git master checkouts of mesa, libdrm and radeon it finally starts, and I even get to see the main menu and click on things etc. It's all pretty black though.

    As you can see I'm currently updating to the newest HoN (haven't played in a while) so I can try out in-game as well. I don't have much hope though, it's probably gonna die horribly.

  5. #15
    Join Date
    May 2008
    Location
    Germany/NRW
    Posts
    510

    Default

    Arghhh stupid one-minute-edit-limit.
    Well, as expected it crashed. But atleast it didn't take X with it.

  6. #16
    Join Date
    Oct 2007
    Posts
    90

    Default

    thanks everyone! I got compositing working in kde, and nexuiz sorta works

    OpenGL vendor string: X.Org R300 Project
    OpenGL renderer string: Gallium 0.4 on R520
    OpenGL version string: 2.1 Mesa 7.8-devel
    OpenGL shading language version string: 1.20

  7. #17
    Join Date
    Jun 2009
    Posts
    2,926

    Default

    Sounds like great progress!

    Hopefully the r600g picks up steam soon.

  8. #18

    Default

    Quote Originally Posted by EmbraceUnity View Post
    thanks everyone! I got compositing working in kde, and nexuiz sorta works

    OpenGL vendor string: X.Org R300 Project
    OpenGL renderer string: Gallium 0.4 on R520
    OpenGL version string: 2.1 Mesa 7.8-devel
    OpenGL shading language version string: 1.20
    Unfortunately I am still unable to use effects with kwin and gallium
    on R300. I am using kde 4.4. Anyone has any insight about what might be wrong?

  9. #19
    Join Date
    Oct 2007
    Posts
    90

    Default

    Quote Originally Posted by PapadakosPanagiotis View Post
    Unfortunately I am still unable to use effects with kwin and gallium
    on R300. I am using kde 4.4. Anyone has any insight about what might be wrong?
    Your gallium is reporting as 0.3... do a git pull to update to the latest mesa

  10. #20
    Join Date
    Jun 2009
    Posts
    1,103

    Default

    i got it to work up to here
    OpenGL vendor string: X.Org R300 Project
    OpenGL renderer string: Gallium 0.4 on RS690
    OpenGL version string: 2.1 Mesa 7.8-devel
    OpenGL shading language version string: 1.20

    but if i tri to run glxgears for example i got this

    glxgears[5714]: segfault at 45c ip 00007fdc86543525 sp 00007ffff91cb060 error 4 in radeong_dri.so[7fdc8651d000+22f000]

    what can i do?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •